Vagrant.configure("2") do |config|

  # Configuration de la VM haproxy_1
  config.vm.define :server do |server|
    server.vm.hostname = "haproxy2"
    server.vm.box = "debian/bookworm64"
    server.vm.network :private_network, 
    :ip => "192.168.56.24",
    :libvirt__network_name => "network"
    server.vm.provider :libvirt do |libvirt|
      libvirt.cpus = 1
      libvirt.memory = 1024
    end
    server.vm.provision "shell", path: "tpl-debian.sh"
  end
end